FileInterface:
  typeResolver:
    - SilverStripe\AssetAdmin\GraphQL\Resolvers\AssetAdminResolver
    - resolveFileInterfaceType
  description: Interface for files and folders
  fields:
    id: Int!
    created: String
    lastEdited: String
    owner: String
    parentId: Int
    title: String
    type: String
    category: String
    exists: Boolean
    name: String
    filename: String
    url: String
    canView: Boolean
    canEdit: Boolean
    canDelete: Boolean
    hasRestrictedAccess: Boolean
    visibility: String
